diff -ruN orig-rc4/configure configure-rc4/configure
--- orig-rc4/configure	Mon Apr  5 04:37:49 2004
+++ configure-rc4/configure	Fri May  7 10:08:04 2004
@@ -865,8 +865,8 @@
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
   --with-zlib-path=DIR    Path to libz.so for ziplinks support.
-  --with-nicklen=LENGTH   Set the nick length to LENGTH (default 9)
-  --with-topiclen=NUMBER  Set the max topic length to NUMBER (default 120, max
+  --with-nicklen=LENGTH   Set the nick length to LENGTH (default 15)
+  --with-topiclen=NUMBER  Set the max topic length to NUMBER (default 255, max
                           390)
   --with-maxclients=NUMBER
                           Maximum number of connections the ircd can handle
@@ -8240,7 +8240,7 @@
   withval="$with_nicklen"
   NICKLEN="$withval"
 else
-  NICKLEN="9"
+  NICKLEN="15"
 fi;
 
 
@@ -8257,7 +8257,7 @@
  fi
 
 else
-  TOPICLEN=120
+  TOPICLEN=255
 fi;
 
 
diff -ruN orig-rc4/configure.ac configure-rc4/configure.ac
--- orig-rc4/configure.ac	Mon Apr  5 04:37:49 2004
+++ configure-rc4/configure.ac	Fri May  7 10:08:27 2004
@@ -809,11 +809,11 @@
 fi
 
 AC_ARG_WITH(nicklen,
-AC_HELP_STRING([--with-nicklen=LENGTH],[Set the nick length to LENGTH (default 9)]),
-	NICKLEN="$withval", NICKLEN="9")
+AC_HELP_STRING([--with-nicklen=LENGTH],[Set the nick length to LENGTH (default 15)]),
+	NICKLEN="$withval", NICKLEN="15")
 
 AC_ARG_WITH(topiclen,           
-AC_HELP_STRING([--with-topiclen=NUMBER],[Set the max topic length to NUMBER (default 120, max 390)]),
+AC_HELP_STRING([--with-topiclen=NUMBER],[Set the max topic length to NUMBER (default 255, max 390)]),
 [
  if test $withval -ge 390; then
 	TOPICLEN=390
@@ -821,7 +821,7 @@
  else
  	TOPICLEN=$withval
  fi
-], [TOPICLEN=120])
+], [TOPICLEN=255])
 
 AC_ARG_WITH(maxclients,
 AC_HELP_STRING([--with-maxclients=NUMBER],[Maximum number of connections the ircd can handle]),
